FiltersGrailsPlugin (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.plugins.web.filters

## [Groovy] Class FiltersGrailsPlugin

- org.grails.plugins.web.filters.FiltersGrailsPlugin

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.context.ApplicationContextAware

      @groovy.util.logging.Commons
      class FiltersGrailsPlugin
      extends Plugin

  Configures Filters.

  Authors:
    Mike
    Graeme Rocher
  Since:
    1.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `artefacts`
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `doWithApplicationContext()`
    `groovy.lang.Closure` | `doWithSpring()`
    `protected static java.util.List<java.lang.Class>` | `evaluateDependsOn(java.lang.Object bean)`
    `void` | `onChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `static void` | `reloadFilters(GrailsApplication application, org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object artefacts

    - #### java.lang.Object dependsOn

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Method Detail

    - #### @java.lang.Override @groovy.transform.CompileStatic void doWithApplicationContext()

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### @groovy.transform.CompileDynamic protected static java.util.List<java.lang.Class> evaluateDependsOn(java.lang.Object bean)

    - #### @java.lang.Override void onChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @groovy.transform.CompileStatic static void reloadFilters(GrailsApplication application, org.springframework.context.ApplicationContext applicationContext)